#   Copyright (c) 2019 Boulder Real Time Technologies, Inc.
#
#   This software module is wholly owned by Boulder Real Time
#   Technologies, Inc. Any use of this software module without
#   express written permission from Boulder Real Time Technologies,
#   Inc. is prohibited.
#
#   Author: Ambli LLC (ambli.ll.company@gmail.com)

from . import service_interfaces


SIMPLE_TIME_START_TIME = "starttime"
SIMPLE_TIME_END_TIME = "endtime"

WINDOW_TIME_START_BEFORE = "startbefore"
WINDOW_TIME_START_AFTER = "startafter"
WINDOW_TIME_END_BEFORE = "endbefore"
WINDOW_TIME_END_AFTER = "endafter"


SERVICE_SPECIFIC_DESCRIPTIONS = \
    {SIMPLE_TIME_START_TIME:
        {
            service_interfaces.DATASELECT: "Limit results to time series samples on or after the specified start time "
                                           "(UTC)",
            service_interfaces.EVENT: "Limit to events on or after the specified start time (UTC)",
            service_interfaces.STATION: "Limit to metadata epochs starting on or after the specified start time (UTC)"
        },
    SIMPLE_TIME_END_TIME:
        {
            service_interfaces.DATASELECT: "Limit results to time series samples on or before the specified end time "
                                           "(UTC)",
            service_interfaces.EVENT: "Limit to events on or before the specified end time (UTC)",
            service_interfaces.STATION: "Limit to metadata epochs ending on or before the specified end time (UTC)"
        },
    WINDOW_TIME_START_BEFORE:
        {
            service_interfaces.STATION: "Limit to metadata epochs starting before specified time (UTC)"
        },
    WINDOW_TIME_START_AFTER:
        {
            service_interfaces.STATION: "Limit to metadata epochs starting after specified time (UTC)"
        },
    WINDOW_TIME_END_BEFORE:
        {
            service_interfaces.STATION: "Limit to metadata epochs ending before specified time (UTC)"
        },
    WINDOW_TIME_END_AFTER:
        {
            service_interfaces.STATION: "Limit to metadata epochs ending after specified time (UTC)"
        }
    }