#   Copyright (c) 2019 Boulder Real Time Technologies, Inc.
#
#   This software module is wholly owned by Boulder Real Time
#   Technologies, Inc. Any use of this software module without
#   express written permission from Boulder Real Time Technologies,
#   Inc. is prohibited.
#
#   Author: Ambli LLC (ambli.ll.company@gmail.com)

from http import HTTPStatus

from . import service_interfaces


FORMAT = "format"
NODATA = "nodata"
ORDER_BY = 'orderby'

OUTPUT_FORMAT_XML = "xml"
OUTPUT_FORMAT_TEXT = "text"
OUTPUT_FORMAT_QUAKEML = "QuakeML"

SERVICE_SPECIFIC_DESCRIPTIONS = \
    {
        FORMAT: {
            service_interfaces.DATASELECT: "Specify format of result, the default value is 'miniseed'. If this "
                                           "parameter is not specified the service must return miniSEED.",
            service_interfaces.EVENT: "Specify format of result, either 'QuakeML' (default), 'xml' or 'text'. "
                                      "If this parameter is not specified the service must return QuakeML.",
            service_interfaces.STATION: "Specify format of result, either 'xml' (default) or 'text' (defined below). "
                                        "If this parameter is not specified the service must return StationXML."
        },
        NODATA: {
            service_interfaces.DATASELECT: "Select status code for \"no data\", either '{}' (default) or '{}'."\
                                           .format(HTTPStatus.NO_CONTENT.value, HTTPStatus.NOT_FOUND.value),
            service_interfaces.EVENT: "Select status code for \"no data\", either '{}' (default) or '{}'."\
                                      .format(HTTPStatus.NO_CONTENT.value, HTTPStatus.NOT_FOUND.value),
            service_interfaces.STATION: "Select status code for \"no data\", either '{}' (default) or '{}'."\
                                        .format(HTTPStatus.NO_CONTENT.value, HTTPStatus.NOT_FOUND.value)
        }
    }